import { select, arc } from 'd3';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg
	.append('g')
		.attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g
	.append('circle')
    .attr('r', height / 2)
    .attr('fill', 'yellow')
    .attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -60
const eyeRadius = 30;
const browW = 70;
const browH = 15;
const browYOffset = -60;

const eyesG = g
	.append('g')
		.attr('transform', `translate(0, ${eyeYOffset})`);

const lefty = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing);

const righty = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const browsG = eyesG
	.append('g')
		.attr('transform', `translate(0, ${eyeYOffset})`);

browsG
	.transition().duration(600)
		.attr('transform', `translate(0, ${eyeYOffset - 50})`)
	.transition().duration(800)
		.attr('transform', `translate(0, ${eyeYOffset})`);

const leftBrow = browsG
	.append('rect')
    .attr('x', -eyeSpacing - browW / 2)
    .attr('width', browW)
    .attr('height', browH);

const rightBrow = browsG
	.append('rect')
    .attr('x', eyeSpacing - browW / 2)
    .attr('width', browW)
    .attr('height', browH);
	

const mouth = g
	.append('path')
		.attr('d', arc()({
      innerRadius: 140,
      outerRadius: 150,
      startAngle: Math.PI / 1.5,
      endAngle: Math.PI * 3 / 2.2
  	}));

const nose = g
	.append('path')
		.attr('d', arc()({
      innerRadius: 0,
      outerRadius: 10,
      startAngle: 0,
      endAngle: Math.PI * 2 
  	}));
